Уязвимость BDU:2020-01870

Дата: 11.05.2017. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2020-01870.

Наименование уязвимости: Уязвимость реализации команды setdistillerkeys набора программного обеспечения для обработки, преобразования и генерации документов Ghostscript, позволяющая нарушителю вызвать отказ в обслуживании.

Описание уязвимости: Уязвимость реализации команды setdistillerkeys набора программного обеспечения для обработки, преобразования и генерации документов Ghostscript связана с выходом операции за границы буфера в памяти. Эксплуатация уязвимости может позволить нарушителю вызвать отказ в обслуживании с помощью специально сформированного PostScript-файла
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 14.04 LTS | Операционная система Canonical Ltd. Ubuntu 16.04 LTS | Операционная система Novell Inc. OpenSUSE Leap 42.3 | Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Прикладное ПО информационных систем Artifex Software Inc. Ghostscript до 9.24 | Операционная система Debian GNU/Linux 8.0 | Операционная система Novell Inc. OpenSUSE Leap 15.0 |

Наименование ОС и тип аппаратной платформы: Ubuntu 1404 LTS | Ubuntu 1604 LTS | OpenSUSE Leap 423 | Ubuntu 1804 LTS | Debian GNU/Linux 80 | OpenSUSE Leap 150 |
Дата выявления: 11.05.2017.
CVSS 2.0: AV:L/AC:M/Au:N/C:C/I:C/A:C
Уровень опасности уязвимости: Средний уровень опасности (базовая оценка CVSS 2.0 составляет 6,9)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 7,8)

Возможные меры по устранению:
Использование рекомендаций:
Для Ghostscript:
http://git.ghostscript.com/?p=ghostpdl.git;a=commitdiff;h=1497d65039885a52b598b137dd8622bd4672f9be
http://git.ghostscript.com/?p=ghostpdl.git;a=commitdiff;h=971472c83a345a16dac9f90f91258bb22dd77f22

Для программных продуктов Novell Inc.:
https://www.suse.com/security/cve/CVE-2018-16585/

Для Ubuntu:
https://usn.ubuntu.com/3768-1/

Для Debian GNU/Linux:
https://www.debian.org/security/2018/dsa-4288
https://lists.debian.org/debian-lts-announce/2018/09/msg00015.html
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2018-16585.

Тип ошибки CWE: CWE-119
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
http://git.ghostscript.com/?p=ghostpdl.git;a=commitdiff;h=1497d65039885a52b598b137dd8622bd4672f9be
http://git.ghostscript.com/?p=ghostpdl.git;a=commitdiff;h=971472c83a345a16dac9f90f91258bb22dd77f22
https://bugzilla.redhat.com/show_bug.cgi?id=1626193
https://lists.debian.org/debian-lts-announce/2018/09/msg00015.html
https://seclists.org/oss-sec/2018/q3/182
https://security.gentoo.org/glsa/201811-12
https://usn.ubuntu.com/3768-1/
https://www.debian.org/security/2018/dsa-4288

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *